module singleton.singleton;

class Singleton
{
    private static Singleton singleton;

    private this() {}
    
    static Singleton getInstance()
    {
        if (singleton is null)
            singleton = new Singleton;

        return singleton;
    }

    string getDescription()
    {
        return "I'm a classic Singleton!";
    }
}
